Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » Issues updating Eclipse | 2018-12 → 2019-03 (Issue updating eclipse)
Issues updating Eclipse | 2018-12 → 2019-03 [message #1804619] Fri, 29 March 2019 15:25 Go to next message
Alessandro Aiezza is currently offline Alessandro AiezzaFriend
Messages: 38
Registered: February 2017
Location: Nashville, TN
Member
I've posted this already here: https://www.eclipse.org/forums/index.php/m/1804618/#msg_1804618
and someone mentioned I should reach out to this forum.

Updating eclipse causes all sorts of issues for my workspace. Is there a fix for these things related to what is in my log file?

Thank you.
  • Attachment: 201903.log
    (Size: 698.29KB, Downloaded 17 times)
Re: Issues updating Eclipse | 2018-12 → 2019-03 [message #1804621 is a reply to message #1804619] Fri, 29 March 2019 15:28 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 13193
Registered: July 2009
Senior Member
the asm version you need
and the one provided by eclipse might not match
=> you need to find out which asm stoneage old xtext wants and pick it from some orbit where it is available

https://download.eclipse.org/tools/orbit/downloads/


Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/xtext/
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de

[Updated on: Fri, 29 March 2019 15:30]

Report message to a moderator

Re: Issues updating Eclipse | 2018-12 → 2019-03 [message #1804626 is a reply to message #1804621] Fri, 29 March 2019 16:54 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6510
Registered: July 2009
Senior Member
Hi

No, as discussed on https://www.eclipse.org/forums/index.php/m/1804624/#msg_1804624 the problem is much more likely that JDT needs a new ASM for Java 9, but the upgrade has left an old one in place. Xtext, like many projects, seems to make use of ASM in a simple way and so the newer ASM 5 or greater versions for the latest Java support seem immaterial to Xtext. I'm using Xtext with ASM 7 quite happily.

Regards

Ed Willink
Re: Issues updating Eclipse | 2018-12 → 2019-03 [message #1804629 is a reply to message #1804626] Fri, 29 March 2019 17:08 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 13193
Registered: July 2009
Senior Member
current Xtext uses asm 7 as we support java 11 too.
but stoneage old xtext 2.12 wants asm 5.0.1 upto exclusive 6
asm is not a singleton afaik

https://github.com/eclipse/xtext-extras/blob/v2.12.0/org.eclipse.xtext.common.types/META-INF/MANIFEST.MF


Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/xtext/
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de

[Updated on: Fri, 29 March 2019 17:10]

Report message to a moderator

Re: Issues updating Eclipse | 2018-12 → 2019-03 [message #1804649 is a reply to message #1804629] Fri, 29 March 2019 18:04 Go to previous messageGo to next message
Alessandro Aiezza is currently offline Alessandro AiezzaFriend
Messages: 38
Registered: February 2017
Location: Nashville, TN
Member
Even having used Eclipse for so long, I have never heard of ASM or know why I should be even interested in how it works.
Re: Issues updating Eclipse | 2018-12 → 2019-03 [message #1804716 is a reply to message #1804649] Sat, 30 March 2019 05:39 Go to previous message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6510
Registered: July 2009
Senior Member
Hi

The delights of big Open Source. Re-use occurs where possible. There are many low level re-uses that you don't need to care about. Just look at the Eclipse plugins. I'm always intrigued by org.hamcrest; no idea what it does.

ASM provides facilities for accessing Java byte code, so since you probably don't do that, you don't use it. But JDT and other tools do, in many cases just to get access to facilities such as annotations with a poor/no standard Java API.

Regards

Ed Willink
Previous Topic:Update label of search page
Next Topic:Release of Xtext and Xtend 2.17.1
Goto Forum:
  


Current Time: Sat Nov 16 01:27:33 GMT 2019

Powered by FUDForum. Page generated in 0.01707 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top